package org.jconfig.items;

import javax.swing.*;

/**
 *  <p>package:    org.jconfig.items</p>
 *  <p>file:       ConfigMenuItem.java</p>
 * $Id: ConfigMenuItem.java,v 1.2 2004/04/19 08:12:45 tgl Exp $
 *
 *  <p>Copyright 2003 Thomas Gleixner <tglx@linutronix.de></p>
 *
 * <p>This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation.</p>
 * </p>
 *
 * Change Log:
 * </p>
 * <ul>
 * <li> 1.0 First implementation
 * </ul>
 * <p>
 *	
 * </p>
 *
 * @author Thomas Gleixner <tglx@linutronix.de>
 * @version 1.0
 */
public class ConfigMenuItem extends JMenuItem {
    
        public TreeItem item;
        public int      menuid;
        
        public ConfigMenuItem (TreeItem it) {
            menuid = 0;
            item = it;
            setText (it.toString());
        }
        
        public ConfigMenuItem (int Id, String text) {
            menuid = Id;
            item = null;
            setText (text);
        }
}
